ome-files 0.2.2

Public Member Functions | Public Attributes | List of all members
ome::files::tiff::TileInfo::Impl Class Reference

Internal implementation details of TileInfo. More...

## Public Member Functions
| Impl (ome::compat::shared_ptr< IFD > &ifd)
| Constructor. More...
| ~Impl ()
| Destructor.
ome::compat::shared_ptr< IFD > | getIFD () const
| Get the directory this tile belongs to. More...
::TIFF * | getTIFF ()
| Get the TIFF this tile belongs to. More...

## Public Attributes
ome::compat::weak_ptr< IFD > | ifd
| Weak reference to the parent IFD.
TileType | type
| Whether the image is chunky or planar.
uint32_t | tilewidth
| Width of a tile.
uint32_t | tileheight
| Height of a tile.
PlanarConfiguration | planarconfig
| Planar configuration.
uint16_t | samples
| Sample count.
dimension_size_type | tilecount
| Tile count.
dimension_size_type | nrows
| Tiles per row.
dimension_size_type | ncols
| Tiles per column.
dimension_size_type | ntiles
| Tiles per plane.
tsize_t | buffersize
| Buffer size for a tile.

## Detailed Description

Internal implementation details of TileInfo.

## Constructor & Destructor Documentation

## § Impl()

ome::files::tiff::TileInfo::Impl::Impl | ( | ome::compat::shared_ptr< IFD > & | ifd | ) |
| inline

Constructor.

Parameters

  ifd | the directory the tile belongs to.

References getTIFF(), ncols, nrows, ome::files::tiff::TILE, tileheight, and tilewidth.

## Member Function Documentation

## § getIFD()

ome::compat::shared_ptr<IFD> ome::files::tiff::TileInfo::Impl::getIFD | ( |  | ) | const
| inline

Get the directory this tile belongs to.

Returns
  the directory.

References ifd.

Referenced by getTIFF().

Here is the caller graph for this function:

## § getTIFF()

::TIFF* ome::files::tiff::TileInfo::Impl::getTIFF | ( |  | ) |
| inline

Get the TIFF this tile belongs to.

Note
  Needs wrapping in a sentry by the caller.

Returns
  a pointer to the underlying TIFF.

References getIFD().

Referenced by Impl().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- ome/files/tiff/TileInfo.cpp